Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.esf
Class CommitmentTypeQualifier

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.esf.CommitmentTypeQualifier

All Implemented Interfaces:
  DEREncodable

    public class CommitmentTypeQualifier

extends ASN1Encodable

Commitment type qualifiers, used in the Commitment-Type-Indication attribute (RFC3126).

       CommitmentTypeQualifier ::= SEQUENCE {
           commitmentTypeIdentifier  CommitmentTypeIdentifier,
           qualifier          ANY DEFINED BY commitmentTypeIdentifier OPTIONAL }

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`CommitmentTypeQualifier(ASN1Sequence as)` Creates a new `CommitmentTypeQualifier` instance.
`CommitmentTypeQualifier(DERObjectIdentifier commitmentTypeIdentifier)` Creates a new `CommitmentTypeQualifier` instance.
`CommitmentTypeQualifier(DERObjectIdentifier commitmentTypeIdentifier, DEREncodable qualifier)` Creates a new `CommitmentTypeQualifier` instance.

Method Summary
`DERObjectIdentifier` `getCommitmentTypeIdentifier()`
`static CommitmentTypeQualifier` `getInstance(java.lang.Object as)`
`DEREncodable` `getQualifier()`
`DERObject` `toASN1Object()` Returns a DER-encodable representation of this instance.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommitmentTypeQualifier

    public CommitmentTypeQualifier(DERObjectIdentifier commitmentTypeIdentifier)

  Creates a new `CommitmentTypeQualifier` instance.

  Parameters:
    `commitmentTypeIdentifier` - a `CommitmentTypeIdentifier` value

### CommitmentTypeQualifier

    public CommitmentTypeQualifier(DERObjectIdentifier commitmentTypeIdentifier,
                                   DEREncodable qualifier)

  Creates a new `CommitmentTypeQualifier` instance.

  Parameters:
    `commitmentTypeIdentifier` - a `CommitmentTypeIdentifier` value
    `qualifier` - the qualifier, defined by the above field.

### CommitmentTypeQualifier

    public CommitmentTypeQualifier(ASN1Sequence as)

  Creates a new `CommitmentTypeQualifier` instance.

  Parameters:
    `as` - `CommitmentTypeQualifier` structure encoded as an ASN1Sequence.

Method Detail

### getInstance

    public static CommitmentTypeQualifier getInstance(java.lang.Object as)

### getCommitmentTypeIdentifier

    public DERObjectIdentifier getCommitmentTypeIdentifier()

### getQualifier

    public DEREncodable getQualifier()

### toASN1Object

    public DERObject toASN1Object()

  Returns a DER-encodable representation of this instance.

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    a `DERObject` value

Bouncy Castle Cryptography Library 1.45